Bug 249536 - kernel BUG at include/linux/tracehook.h:368!
kernel BUG at include/linux/tracehook.h:368!
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-25 09:47 EDT by Matteo Corti
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.6.22.1-41.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-10 18:07:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 249093 None None None Never

  None (edit)
Description Matteo Corti 2007-07-25 09:47:46 EDT
Description of problem:

kernel BUG at include/linux/tracehook.h:368!

Version-Release number of selected component (if applicable):

2.6.22.1-27.fc7

How reproducible:
not always

Steps to Reproduce:
1. Install Google SketchUp with wine
  
Actual results:
------------[ cut here ]------------
kernel BUG at include/linux/tracehook.h:368!
invalid opcode: 0000 [#2]
SMP 
last sysfs file: /class/i2c-adapter/i2c-0/name
Modules linked in: i915 drm autofs4 hidp nls_utf8 cifs rfcomm l2cap bluetooth
sunrpc ipv6 xt_tcpudp iptable_filter ip_tables x_tables dm_mirror dm_mod video
sbs button bay dock battery ac lp loop snd_intel8x0 snd_ac97_codec ac97_bus
snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss
snd_mixer_oss tg3 snd_pcm iTCO_wdt iTCO_vendor_support i2c_i801 snd_timer
i2c_core parport_pc snd serio_raw soundcore parport snd_page_alloc rtc_cmos
sr_mod cdrom sg ata_piix ata_generic libata sd_mod scsi_mod ext3 jbd mbcache
ehci_hcd ohci_hcd uhci_hcd
CPU:    1
EIP:    0060:[<c042a89d>]    Not tainted VLI
EFLAGS: 00010287   (2.6.22.1-27.fc7 #1)
EIP is at release_task+0x2e/0x324
eax: f6fa7af0   ebx: e3e7f800   ecx: c200a5e0   edx: f64a89cc
esi: e3e7f800   edi: 00000001   ebp: 00000000   esp: d836ae68
ds: 007b   es: 007b   fs: 00d8  gs: 0000  ss: 0068
Process GoogleSketchUpW (pid: 17477, ti=d836a000 task=c6731200 task.ti=d836a000)
Stack: 00000020 c6731200 00000000 dfd02000 c042bc95 00000009 00000008 00000000 
       c67316e4 614fa7e4 c6731344 00000000 f18b6b24 f19011c0 00000000 d836afb8 
       c042bd5c f18b6b24 00000009 7ffd2000 c04322ea 00000000 00000000 c0618100 
Call Trace:
 [<c042bc95>] do_exit+0x67a/0x6d4
 [<c042bd5c>] sys_exit_group+0x0/0xd
 [<c04322ea>] get_signal_to_deliver+0x36d/0x391
 [<c04045c2>] do_notify_resume+0x8c/0x6c7
 [<c060b496>] __sched_text_start+0x686/0x718
 [<c0537531>] tty_write+0x1b7/0x1c8
 [<c0453fd3>] audit_syscall_exit+0x2f2/0x30e
 [<c0407bc4>] do_syscall_trace+0x2f/0xc2
 [<c040502a>] work_notifysig+0x13/0x19
 =======================
Code: 89 c6 53 0f ae f0 89 f6 83 be 28 05 00 00 00 74 07 89 f0 e8 21 f3 02 00 8b
86 10 02 00 00 f0 ff 48 04 83 be 20 01 00 00 20 74 04 <0f> 0b eb fe 83 be 28 05
00 00 00 74 27 8d 86 38 05 00 00 e8 61 
EIP: [<c042a89d>] release_task+0x2e/0x324 SS:ESP 0068:d836ae68
Fixing recursive fault but reboot is needed!


Expected results:
Application works or crashes but no kernel errors


Additional info:
Comment 1 Chuck Ebbert 2007-07-25 10:09:15 EDT
Should be fixed in kernel-2.6.22.1-33.fc7, in updates-testing repo now.
Comment 2 Chuck Ebbert 2007-08-10 18:07:28 EDT
Should be fixed in 2.6.22.1-41. Closing.

Note You need to log in before you can comment on or make changes to this bug.